Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QHttp.State

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QHttp.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QHttp

    public static final class QHttp.State

extends java.lang.Enum
implements QtEnumerator

This enum describes the state of a window. Most of the transitional states are set just before a call to QScreen::exposeRegion() and reset immediately afterwards.

See also:
  state(), and QScreen::exposeRegion().

See Also:
  Serialized Form

Field Summary
`static QHttp.State` | `Closing`
`static QHttp.State` | `Connected`
`static QHttp.State` | `Connecting`
`static QHttp.State` | `HostLookup`
`static QHttp.State` | `Reading`
`static QHttp.State` | `Sending`
`static QHttp.State` | `Unconnected`

Method Summary
`static QHttp.State` | `resolve(int value)` Returns the State constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHttp.State` | `valueOf(java.lang.String name)`
`static QHttp.State[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Unconnected

    public static final QHttp.State Unconnected

### HostLookup

    public static final QHttp.State HostLookup

### Connecting

    public static final QHttp.State Connecting

### Sending

    public static final QHttp.State Sending

### Reading

    public static final QHttp.State Reading

### Connected

    public static final QHttp.State Connected

### Closing

    public static final QHttp.State Closing

Method Detail

### values

    public static QHttp.State[] values()

### valueOf

    public static QHttp.State valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHttp.State resolve(int value)

  Returns the State constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD